
Figure - 开发 Dev #119582
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 119585 (New): 【MK】【VX1返装】管理总票

【MK】【028】【PWM】【TC-RID: 1201-0102803】Figure Pro风扇占空比调整
2023-11-06 17:28 - CD TPM-王祥林

Status: New Start date: 2023-11-06

Priority: Normal Due date:

Assignee: CD TPM-王祥林 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

在Figure的基础上，修改风扇占空比。一档为30，二挡为40，三挡为50。

History

#1 - 2023-11-06 17:29 - CD TPM-王祥林

- File AF50151VX-1Q01C-S99 DS(2).pdf added

#2 - 2023-11-07 15:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

325914 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

BSP: PWM: Modify the temperature control policy of the fan51℃ - 84℃: 30% speed71℃ - 89℃: 40% speed86℃ - : 50% speedTC-RID: 1201-0102803IssueID:

TS-R-DF-119582Change-Id: I6f1caf23a6e86f5602a062816133d26b340b61b7

#3 - 2023-11-09 19:41 - CD TPM-王祥林

- Parent task changed from #111193 to #119585

#4 - 2023-11-13 11:52 - CD TPM-王祥林

设置风扇转速等级(0-255)：0代表不转，255代表最大转速。

adb shell "echo 100 > /sys/devices/platform/vendor/vendor:pwm-fan/hwmon/hwmon1/pwm1" 

读取风扇转速：

adb shell cat /sys/devices/platform/vendor/vendor:pwm-fan/hwmon/hwmon1/fan1_input

#5 - 2023-11-14 14:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327736 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_vx1

wangxl0510@thundersoft.com
BSP: PWM: Modify the temperature control policy of the fan51℃ - 84℃: 30% speed71℃ - 89℃: 40% speed86℃ - : 50% speedTC-RID: 1201-0102803IssueID:

TS-R-DF-119582Change-Id: I6f1caf23a6e86f5602a062816133d26b340b61b7(cherry picked from commit 02704dc7864bb8e92cf1abd056061a1869e9b3a2)

#6 - 2023-11-21 11:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329720 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP: PWM: Modify the temperature control policy of the fan51℃ - 84℃: 30% speed71℃ - 89℃: 40% speed86℃ - : 50% speedTC-RID: 1201-0102803IssueID:

TS-R-DF-119582Change-Id: I6f1caf23a6e86f5602a062816133d26b340b61b7(cherry picked from commit 02704dc7864bb8e92cf1abd056061a1869e9b3a2)
figure_pro_pwm 137 KB 2023-11-06 CD TPM-王祥林
